Bug Hunting Session
Bug 109318 - FILEOPEN: DOCX - Wrong drop caps lines value imported
Summary: FILEOPEN: DOCX - Wrong drop caps lines value imported
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Justin L
URL:
Whiteboard: target:6.0.0
Keywords:
Depends on:
Blocks: DOCX Paragraph-Drop-Caps
  Show dependency treegraph
 
Reported: 2017-07-24 17:10 UTC by Yousuf Philips (jay) (retired)
Modified: 2017-08-15 19:25 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
sample (19.82 KB, application/wps-office.docx)
2017-07-24 17:10 UTC, Yousuf Philips (jay) (retired)
Details
how it looks in Word (74.24 KB, image/png)
2017-07-24 17:34 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2017-07-24 17:10:42 UTC
Created attachment 134821 [details]
sample

Steps:
1. Open attachment
2. Notice that the first drop caps 'L' takes up 3 lines
3. Notice that the first drop caps 'I' takes up 4 lines
4. Notice that the second drop caps 'L' takes up 5 lines
5. Compare this with MS Word and notice that each drop caps letter has 1 less lines than what is imported in LO.

Version: 6.0.0.0.alpha0+
Build ID: 888f3f18cf42ca08f55a5e4826b4298f391e14aa
CPU threads: 2; OS: Linux 4.4; UI render: default; VCL: gtk2; 
Locale: en-US (en_US.UTF-8); Calc: group

Checking the XML and the correct value is available in the file.

e.g. <w:framePr w:dropCap="drop" w:lines="2" ... /> is associated with the first drop caps 'L'
Comment 1 Yousuf Philips (jay) (retired) 2017-07-24 17:12:17 UTC
@Justin, @Mike, @Aron: Either of you guys want to take this easy one on?
Comment 2 Yousuf Philips (jay) (retired) 2017-07-24 17:34:34 UTC
Created attachment 134825 [details]
how it looks in Word
Comment 3 Jacques Guilleron 2017-07-25 11:03:56 UTC
Hi Yousuf,

Reproduced with
LO 5.4.0.2 Build ID: 2b906d450a44f2bbe506dcd22c51b3fa11dc65fd
and 
LO  6.0.0.0.alpha0+ Build ID: 643da8ec4e721d33dfdf8d78bedd50a915f1188d
CPU threads: 2; OS: Windows 6.1; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2017-06-26_01:24:22
Locale: fr-FR (fr_FR); Calc: CL
Comment 4 Justin L 2017-07-25 11:18:29 UTC
reproduced in the oldest bibisect-43all I can run in 16.04. Likely inherited from OOo.
Comment 5 Yousuf Philips (jay) (retired) 2017-07-25 19:34:02 UTC
(In reply to Justin L from comment #4)
> Likely inherited from OOo.

yes inherited.
Comment 6 Commit Notification 2017-08-15 19:18:10 UTC
Justin Luth committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ddb8f498a336cb6a76a06bb65406579e50447d39

tdf#109318 writerfilter: don't increment DropCap lines

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.